<div class="container-fluid">
	<%= _.template($('#input_constructor').html())({id:"ForFrom", description:tr("For from value"), default_selector: "expression", disable_string:true, help: {description: tr("Lower bound as integer value.")}}) %>
	<%= _.template($('#input_constructor').html())({id:"ForTo", description:tr("For to value"), default_selector: "expression", disable_string:true, help: {description: tr("Upper bound as integer value.")}}) %>
	<%= _.template($('#variable_constructor').html())({id:"Save", description:tr("Variable to save the cycle index"), default_variable: "CYCLE_INDEX", help: {description: tr("The variable to which the index will be written at the beginning of each cycle.")} }) %>
</div>
<div class="tooltipinternal">
	<div class="tr tooltip-paragraph-first-fold">Execute defined list of actions specified number of times.</div>
	<div class="tr tooltip-paragraph-fold">You can define lower and upper bounds, for example, if you want to scroll page for three times, you should define lower bound as 1 and upper bound of 3.</div>
	<div class="tr tooltip-paragraph-fold">If you want to parse users on second page, need to set lower bound as 10 and upper bound as 20.</div>
	<div class="tr tooltip-paragraph-fold">Bounds also may be variables. Consider following example, you need to iterate over all pages and you don't know total amount of them. First you need to parse page amount and put it to variable and then use for loop with lower bound as one and upper bound equals to that variable.</div>
	<div class="tr tooltip-paragraph-fold">For loop may be interrupted at any time with break action. A common practice would be to put break action inside if.</div>
	<div class="tr tooltip-paragraph-fold">There is a special variable called [[CYCLE_INDEX]] available inside for loop and it always contains current iteration index and has number type.</div>
	<div class="tr tooltip-paragraph-last-fold">Summarizing all the above, when BAS encounters for loop it searches for loop body and repeat it number of times equal difference between upper and lower bound and update [[CYCLE_INDEX]] on each iteration.</div>
</div>
<%= _.template($('#back').html())({action:"add", wiki:"is_it_possible_to_use_loops", use_timeout:true, visible:false}) %>