<div class="container-fluid">
	<%= _.template($('#input_constructor').html())({id:"ForArray", description:tr("Foreach Array"), default_selector: "expression", disable_string:true, disable_int:true, help: {description: tr("This field contains list, list could be created with \"create list\" action, or obtain it through \"resources to a list\" action, also \"read file to list\" returns list. Besides variables you can put there array directly, for example, [4, 5, 6]. You can't put resource in this field, because resource is a string and this field requires list."), examples:[{code:"[4, 5, 6]",description:tr("Define list directly.")},{code:"[[SOME_LIST]]",description:tr("Get list from the variable.")}]} }) %>
	<%= _.template($('#variable_constructor').html())({id:"SaveIndex", description:tr("Variable to save the cycle index"), default_variable: "CYCLE_INDEX", help: {description: tr("The variable to which the index will be written at the beginning of each cycle.")} }) %>
	<%= _.template($('#variable_constructor').html())({id:"SaveData", description:tr("Variable to save the current array element"), default_variable: "FOREACH_DATA", help: {description: tr("The variable to which the array element will be written at the beginning of each cycle.")} }) %>
</div>
<div class="tooltipinternal">
	<div class="tr tooltip-paragraph-first-fold">Execute defined actions for every list element. Works only for lists.</div>
	<div class="tr tooltip-paragraph-fold">This action takes list as input parameter, then applies all child actions to each list element.</div>
	<div class="tr tooltip-paragraph-fold">For example, you have a list with all users which needs to be followed and you can achieve this by putting user list as input parameter of foreach action, and also by putting correct action sequence to follow user(probably action which press on follow button on site) as a child of foreach loop.</div>
	<div class="tr tooltip-paragraph-fold">There is a special variable called [[FOREACH_DATA]] which is available only inside foreach loop and which holds current list element.</div>
	<div class="tooltip-paragraph-fold"><span class="tr">Here is the most basic example of using foreach action - iterate over some list and an output every element to the log</span>. (<a href="#" onclick="BrowserAutomationStudio_OpenUrl('http://wiki.bablosoft.com/lib/exe/fetch.php?cache=&media=foreachexample.png');return false" class="tr">screen</a>)</div>
	<div class="tr tooltip-paragraph-fold">To create or process list use list module.</div>
	<div class="tr tooltip-paragraph-fold">Input parameter "foreach array" holds any JavaScript code including variables and resources. So besides variables you can put there array directly, for example, [4, 5, 6].</div>
	<div class="tr tooltip-paragraph-last-fold">Summarising all the above, when BAS counters foreach loop it searches for loop body and repeat it for each list element, it also changes [[FOREACH_DATA]] on each loop iteration.</div>
</div>
<%= _.template($('#back').html())({action:"add", use_timeout:true, visible:false}) %>